Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep
Class ComponentSet

    java.lang.Object
      com.singularsys.jep.ComponentSet

Direct Known Subclasses:
  BigDecComponents, StandardComponents

    public abstract class ComponentSet

extends java.lang.Object

Field Summary
`protected Evaluator` | `evaluator`
`protected FunctionTable` | `funTab`
`protected NodeFactory` | `nodeFac`
`protected NumberFactory` | `numFac`
`protected OperatorTable` | `opTab`
`protected Parser` | `parser`
`protected PrintVisitor` | `pv`
`protected VariableFactory` | `varFac`
`protected VariableTable` | `varTab`

Constructor Summary
`ComponentSet()`

Method Summary
`JepComponent[]` | `getComponents()`
`Evaluator` | `getEvaluator()`
`FunctionTable` | `getFunctionTable()`
`NodeFactory` | `getNodeFactory()`
`NumberFactory` | `getNumberFactory()`
`OperatorTable` | `getOperatorTable()`
`Parser` | `getParser()`
`PrintVisitor` | `getPrintVisitor()`
`VariableFactory` | `getVariableFactory()`
`VariableTable` | `getVariableTable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numFac

    protected NumberFactory numFac

### varFac

    protected VariableFactory varFac

### nodeFac

    protected NodeFactory nodeFac

### varTab

    protected VariableTable varTab

### funTab

    protected FunctionTable funTab

### opTab

    protected OperatorTable opTab

### parser

    protected Parser parser

### evaluator

    protected Evaluator evaluator

### pv

    protected PrintVisitor pv

Constructor Detail

### ComponentSet

    public ComponentSet()

Method Detail

### getComponents

    public JepComponent[] getComponents()

### getNumberFactory

    public NumberFactory getNumberFactory()

### getNodeFactory

    public NodeFactory getNodeFactory()

### getVariableFactory

    public VariableFactory getVariableFactory()

### getVariableTable

    public VariableTable getVariableTable()

### getFunctionTable

    public FunctionTable getFunctionTable()

### getOperatorTable

    public OperatorTable getOperatorTable()

### getParser

    public Parser getParser()

### getEvaluator

    public Evaluator getEvaluator()

### getPrintVisitor

    public PrintVisitor getPrintVisitor()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Singular Systems http://www.singularsys.com/jep